<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the Controller Property  page.  The associated web plugin is the ChangeControllerWebPlugin.java -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:import href="Utils.xsl"/>
<xsl:variable name="GLOBAL_VAR_Action"><xsl:value-of select="/OMA/Action"/></xsl:variable>
<xsl:variable name="Var_IsDeleteSecurityKeyEnabled"><xsl:value-of select="/OMA/IsDeleteSecurityKeyEnabled"/></xsl:variable>
	<xsl:template match="OMA">
		<xsl:call-template name="scripts"/>
		<DataArea printable="false" email="false" Refresh="false" exportdata="false" onLoad="true" ignoreJumpBar="true">
              <xsl:attribute name="backpagedisplayfull"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
              <xsl:attribute name="backpagetarget"><xsl:call-template name="ReturnPage"><xsl:with-param name="BackTo" select="/OMA/BackTo"/></xsl:call-template></xsl:attribute>
 		  
           	  <xsl:call-template name="SecurityKeyManagement"/>
              <BottomCustomButton>
		        <Data display="{$strApply}" formSubmit="true" href="javascript:submitChangeOrDeleteOrCreate()"/> 
	        </BottomCustomButton> 
<xsl:call-template name="scripts"/> 
		</DataArea>
	</xsl:template>
      <xsl:template name="SecurityKeyManagement">
        <xsl:choose>
              <xsl:when test="$GLOBAL_VAR_Action = 'DeleteOrChangeSecurityKey'">
                  <PageTitle>
		    <xsl:attribute name="display"><xsl:value-of select="$strChangeDeleteTitlePart1"/><xsl:value-of select="/OMA/Controllers/@ControllerName"/><xsl:value-of select="$strChangeDeleteTitlePart2"/></xsl:attribute>
		  </PageTitle>
                  <xsl:call-template name="SecurityKeyManagementChangeOrDelete"/>
              </xsl:when>
              <xsl:otherwise>
                  <PageTitle>
		    <xsl:attribute name="display"><xsl:value-of select="$strCreateTitlePart1"/><xsl:value-of select="/OMA/Controllers/@ControllerName"/><xsl:value-of select="$strCreateTitlePart2"/></xsl:attribute>
		  </PageTitle>
                   <xsl:call-template name="SecurityKeyManagementCreate"/>
                   
                  
              </xsl:otherwise>
        </xsl:choose>
        
        <script language="javascript">
            var IsSecurityEnabledOnController='<xsl:value-of select="$GLOBAL_VAR_Action"/>';	
      
            function initializationRoutine()
	    {   
                if(IsSecurityEnabledOnController== 'DeleteOrChangeSecurityKey')
                {     
                      document.getElementById("OperationChange").checked=false;
                      document.getElementById("Agreement").disabled=true;
                      document.getElementById("Agreement").checked=false;
                      document.getElementById("SecurityKeyIdentifier").value ="";
                      document.getElementById("SecurityKeyIdentifier").disabled =true;
                      document.getElementById("Passphrase").value = "";
                      document.getElementById("Passphrase").disabled =true;
                      document.getElementById("ConfirmPassphrase").value = "";
                      document.getElementById("ConfirmPassphrase").disabled =true;
                      document.getElementById("CurrentPassphrase").value = "";
                      document.getElementById("CurrentPassphrase").disabled =true;
                }
                if(document.getElementById("OperationDelete")!= null)
                {                      
                      if('<xsl:value-of select="$Var_IsDeleteSecurityKeyEnabled"/>' == '1')
                      {
                               document.getElementById("OperationDelete").disabled = false;
                      }  
			    else 
			    {
                               document.getElementById("OperationDelete").disabled = true;
			    }	

                } 
                    
            }     
                                
            function validatePassphrase()
            {
             
              var PassphraseGrammar=/^.*(?=.{8,32})(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[&amp;&lt;&gt;&quot;&apos;;:~`!@#$%^*_+=-?.,|\(\){}\\\/\[\]]).*$/;
              
              var SecurityKeyIdentifier=document.getElementById("SecurityKeyIdentifier").value;
              var Passphrase=document.getElementById("Passphrase").value;
              var ConfirmPassphrase=document.getElementById("ConfirmPassphrase").value;
              
                 if(SecurityKeyIdentifier.length == 0 )
                  { 
                               alert("<xsl:value-of select="$strBlankSecurityKeyIdentifier"/>");
                               document.getElementById("SecurityKeyIdentifier").value = "";
			             document.getElementById("SecurityKeyIdentifier").focus();
                               return false; 
                  }
                   if(!ValidateFormat(SecurityKeyIdentifier))
                   {  
                               alert("<xsl:value-of select="$strSecurityKeyIDGuidelines"/>");
                               document.getElementById("SecurityKeyIdentifier").value = "";
			             document.getElementById("SecurityKeyIdentifier").focus();
                               return false; 
                   }
              
                 if(!ValidateFormat(Passphrase) )
                  {    alert("<xsl:value-of select="$strPassphraseGuidelines"/>");
                       document.getElementById("Passphrase").value = "";
			     document.getElementById("Passphrase").focus();
                       document.getElementById("ConfirmPassphrase").value = "";
                       return false;
                   }  
                  if(!ValidateFormat(ConfirmPassphrase) )
                  {    alert("<xsl:value-of select="$strCurrentPassphraseGuidelines"/>");
                       document.getElementById("Passphrase").value = "";
			     document.getElementById("Passphrase").focus();
                       document.getElementById("ConfirmPassphrase").value = "";
                       return false;
                   }                                              
                  
                  if( (Passphrase.length &lt; 8) &amp;&amp; (Passphrase.length &gt; 32) ) 
                  {      
                          if(Passphrase.length ==0)
                          {
                                alert("<xsl:value-of select="$strBlankPassphrase"/>");
                          }
                          else 
                          {
                                alert("<xsl:value-of select="$strLengthPassphrase"/>");
                          }
                         document.getElementById("Passphrase").value = "";
			       document.getElementById("Passphrase").focus();
                        
                         return false;
                  }
                  if(!(PassphraseGrammar.test(Passphrase)))
                  {       alert("<xsl:value-of select="$strPassphraseGuidelines"/>");
                          document.getElementById("Passphrase").value = "";
			        document.getElementById("Passphrase").focus();
                          document.getElementById("ConfirmPassphrase").value = "";
                          return false;
                  } 
                  if( (ConfirmPassphrase.length &lt; 8) &amp;&amp; (ConfirmPassphrase.length &gt; 32) )
                  {   
                         if(ConfirmPassphrase.length==0)
                         {
                                alert("<xsl:value-of select="$strBlankConfirmPassphrase"/>");
                         }
                         else
                         {
                               alert("<xsl:value-of select="$strLengthConfirmPassphrase"/>");
                         }
                         document.getElementById("ConfirmPassphrase").value = "";
	 	 	       document.getElementById("ConfirmPassphrase").focus();  
                         return false;
                  }
                  if( !(PassphraseGrammar.test(ConfirmPassphrase)))
                  {       alert("<xsl:value-of select="$strConfirmPassphraseGuidelines"/>");
                          document.getElementById("Passphrase").value = "";
			        document.getElementById("Passphrase").focus();
                          document.getElementById("ConfirmPassphrase").value = "";
			        document.getElementById("ConfirmPassphrase").focus();
                          
                          return false;
                  }
                 if( ConfirmPassphrase!=Passphrase) 
                  {       alert("<xsl:value-of select="$strPassphraseMismatch"/>");
                          document.getElementById("Passphrase").value = "";
			        document.getElementById("Passphrase").focus();
                          document.getElementById("ConfirmPassphrase").value = "";
  			        return false;
                  }
                 if(IsSecurityEnabledOnController != 'CreateSecurityKey') 
                   {
                       var CurrentPassphrase=document.getElementById("CurrentPassphrase").value;
                       if( (CurrentPassphrase.length &lt; 8) &amp;&amp; (CurrentPassphrase.length &gt; 32) ) 
                       {       alert("<xsl:value-of select="$strLengthCurrentPassphrase"/>");
                               document.getElementById("Passphrase").value = "";
			             document.getElementById("Passphrase").focus();
                               return false;
                       }
                       if(!(PassphraseGrammar.test(CurrentPassphrase)) || !ValidateFormat(CurrentPassphrase)) 
                       {        alert("<xsl:value-of select="$strCurrentPassphraseGuidelines"/>");
                                document.getElementById("CurrentPassphrase").value = "";
			              document.getElementById("CurrentPassphrase").focus();
                                return false;
                       }
                   }
               
              return true;   

            }
            function submitChangeOrDeleteOrCreate()
            {    
                 
            
                  if( (document.getElementById("OperationDelete")!= null &amp;&amp; document.getElementById("OperationDelete").checked == false) &amp;&amp; (document.getElementById("OperationChange")!= null &amp;&amp; document.getElementById("OperationChange").checked == false) )
                  {
                         alert("<xsl:value-of select="$strSelectOperation"/>");
                         return;
                  }
                  if(IsSecurityEnabledOnController=='CreateSecurityKey'){
                           submitCreateSecurityKey();}
                  if(document.getElementById("OperationDelete")!=null &amp;&amp; document.getElementById("OperationDelete").checked==true){
                           submitDeleteSecurityKey();}
                  if(document.getElementById("OperationChange")!=null &amp;&amp; document.getElementById("OperationChange").checked==true){
                           submitChangeSecurityKey();}
                
 
            }
	    function submitCreateSecurityKey() 
	    {  
                 if( validatePassphrase()== false)
                 {   
                          return;
                 }
                 else
                 {
                     if(validateAgreement()== false)
                     {  
                               return;
                     }
                     else
                     { 
                               document.dataarea.action = top.gnv.appendVID("/servlet/SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;Action=1073741824&amp;RekeyFlag=1&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;BackTo=<xsl:value-of select="/OMA/BackTo"/>");
                               document.dataarea.submit();
                     }
                 }    
 	   }

          function submitDeleteSecurityKey() 
	    {    
                 if(confirm("<xsl:value-of select="$strPrmoptText4"/>"))
                 {
                           document.dataarea.action = top.gnv.appendVID("/servlet/SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;Action=1073741824&amp;RekeyFlag=0&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;BackTo=<xsl:value-of select="/OMA/BackTo"/>");
                           document.dataarea.submit();
                 }              
 	   }

         function submitChangeSecurityKey() 
	   {     
               
                if( validatePassphrase()== false)
                {   
                          return;
                }
                else
                {
                     if(validateAgreement()== false)
                     {  
                                return;
                     }
                     else
                     {  if(confirm("<xsl:value-of select="$strPrmoptText1"/>"))
                          {   
                               document.dataarea.action = top.gnv.appendVID("/servlet/SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;Action=1073741824&amp;RekeyFlag=2&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;BackTo=<xsl:value-of select="/OMA/BackTo"/>");
                               document.dataarea.submit();
                           }
                           else
                           {
                            return;
                           } 
                     }
                 }    
           
          }

         function validateAgreement()
         {
              if(document.getElementById("Agreement").checked == false)
               {  
                        alert("<xsl:value-of select="$strAgreementWarning"/>");
                        return false;
               } 
               else{  return true;}
               
        }
        
        function OnOperationChangeSelected()
        {     var SecurityKeyIdValue = '<xsl:call-template name="ReplaceKey"><xsl:with-param name="KeyId" select="//SecurityKeyId"/></xsl:call-template>';
              document.getElementById("SecurityKeyIdentifier").value =SecurityKeyIdValue;
              document.getElementById("OperationDelete").checked=false;
              document.getElementById("Agreement").disabled=false;
              document.getElementById("Agreement").checked=false;
              document.getElementById("SecurityKeyIdentifier").disabled =false;
              document.getElementById("Passphrase").disabled =false;
              document.getElementById("ConfirmPassphrase").disabled =false;
              document.getElementById("CurrentPassphrase").disabled =false;
        }
        
        function OnOperationDeleteSelected()
        {     
              document.getElementById("SecurityKeyIdentifier").value ="";
              document.getElementById("OperationChange").checked=false;
              document.getElementById("Agreement").disabled=true;
              document.getElementById("Agreement").checked=false;
              document.getElementById("SecurityKeyIdentifier").value = "";
              document.getElementById("SecurityKeyIdentifier").disabled =true;
              document.getElementById("Passphrase").value = "";
              document.getElementById("Passphrase").disabled =true;
              document.getElementById("ConfirmPassphrase").value = "";
              document.getElementById("ConfirmPassphrase").disabled =true;
              document.getElementById("CurrentPassphrase").value = "";
              document.getElementById("CurrentPassphrase").disabled =true;
        }
         
  
   </script>
	</xsl:template>
      <xsl:template name="SecurityKeyManagementChangeOrDelete">
              <SummaryData ignoreJumpBar="true">
	          <TableData name="T1" ignoreJumpbar="true">
                        <PromptText><xsl:value-of select="$strPrmoptText2"/></PromptText>
                        <SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strSubHeader1"/></xsl:attribute>
				</SubHeader>
                        <Row>
                             <Data name="OperationChange" type="radio" handler="OnOperationChangeSelected()" event="onClick" state="0" colspan="2">
                               <xsl:attribute name="value"><xsl:value-of select="$strRadioButtonChangeSecurityKey"/></xsl:attribute>
                             </Data>
                             <Data maxlength="32" size="32" align="left"/>
			      </Row>
                         <Row><Data size="1%" align="left"/>

                              <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelCurrentPassphrase"/></xsl:attribute></Data>
                              <Data name="CurrentPassphrase" type="password" maxlength="32" size="32" align="left"/>
                        </Row>
                        <Row><Data size="1%" align="left"/>

                             <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelNewSecurityKeyIdentifier"/></xsl:attribute></Data>
                             <Data name="SecurityKeyIdentifier" type="editbox" maxlength="32" size="37" align="left"/>
 		            </Row>
                        <!--
                        <Row><Data><xsl:attribute name="value"><xsl:value-of select="$strLabelSuggestedPassphrase"/></xsl:attribute></Data>
                             <Data><xsl:attribute name="value"><xsl:value-of select="//SuggestedPassphrase"/></xsl:attribute></Data>
                        </Row>
                         -->
                        <Row><Data size="1%" align="left"/>
                             <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelNewPassphrase"/></xsl:attribute></Data>
                             <Data name="Passphrase" type="password" maxlength="32" size="32" align="left"/>
                        </Row>
                        <Row>
                              <Data size="1%" align="left"/>
                              <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelConfirmNewPassphrase"/></xsl:attribute></Data>
                              <Data name="ConfirmPassphrase" type="password" maxlength="32" size="32" align="left"/>
                        </Row>
                       
                   
                      <Row>
                         <Data type="checkbox" colspan="3">
		   	         <xsl:attribute name="name">Agreement</xsl:attribute>
			         <xsl:attribute name="value"><xsl:value-of select="$strPrmoptText3"/></xsl:attribute>
                           <xsl:attribute name="returnvalue"/>
                         </Data>
                      </Row>
                </TableData>

               <TableData name="T3" ignoreJumpBar="true">
                       <SubHeader>
					<xsl:attribute name="display"><xsl:value-of select="$strSubHeader2"/></xsl:attribute>
			     </SubHeader>
                       <!--PromptText alert="true"><xsl:value-of select="$strPrmoptText4"/></PromptText-->
                       <Row>
                         <Data name="OperationDelete" type="radio" handler="OnOperationDeleteSelected()" event="onClick" state="0">
                            <xsl:attribute name="value"><xsl:value-of select="$strLabelDeleteSecurityKey"/></xsl:attribute>
                         </Data>
  		            </Row>
                </TableData>
      </SummaryData>
</xsl:template>
 <xsl:template name="SecurityKeyManagementCreate">
             <SummaryData ignoreJumpBar="true" >
	         <TableData name="T1" ignoreJumpBar="true">
                        <SubHeader>
					<xsl:attribute name="display"><xsl:value-of select="$strSubHeader3"/></xsl:attribute>
				</SubHeader>
                       <PromptText><xsl:value-of select="$strPrmoptText2"/></PromptText>
                          <Row><Data><xsl:attribute name="value"><xsl:value-of select="$strLabelSecurityKeyIdentifier"/></xsl:attribute></Data>
                              <Data name="SecurityKeyIdentifier" type="editbox" maxlength="32" size="37" align="left"/>
                          </Row>
                          <!--
                          <Row><Data><xsl:attribute name="value"><xsl:value-of select="$strLabelSuggestedPassphrase"/></xsl:attribute></Data>
                              <Data><xsl:attribute name="value"><xsl:value-of select="//SuggestedPassphrase"/></xsl:attribute></Data>
                          </Row>
                          -->
                          <Row> <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelPassphrase"/></xsl:attribute></Data>
                              <Data name="Passphrase" type="password" maxlength="32" size="32" align="left"/>
                           </Row>
                           <Row> <Data><xsl:attribute name="value"><xsl:value-of select="$strLabelConfirmPassphrase"/></xsl:attribute></Data>
                              <Data name="ConfirmPassphrase" type="password" maxlength="32" size="32" align="left"/>
                           </Row>
               
                         <Row>
                         <Data type="checkbox" colspan="2">
		   	         <xsl:attribute name="name">Agreement</xsl:attribute>
			         <xsl:attribute name="value"><xsl:value-of select="$strPrmoptText3"/></xsl:attribute>
                           <xsl:attribute name="returnvalue"/>
                         </Data>
                      </Row>
                </TableData>
                
                 

 </SummaryData>
</xsl:template>
</xsl:stylesheet>
