<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- the xsl included below contains messages for error codes-->
	<xsl:import href="smmsgs.xsl"/>
	<xsl:template match="OMA">
		<DataArea exportdata="false">
			<PageTitle alert="true" status="4">
				<xsl:attribute name="display"><xsl:value-of select="$strTitle1"/></xsl:attribute>
			</PageTitle>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strTitle2"/><xsl:call-template name="GetMessage"><xsl:with-param name="ErrorID" select="ErrorCode"/><xsl:with-param name="WSManError" select="WSManError"/></xsl:call-template></xsl:attribute>
			</SubHeader>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strWhy"/></xsl:attribute>
			</SubHeader>
			<ListData>
				<Data>
					<xsl:attribute name="display">-</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strWhy1"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display">-</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strWhy2"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display">-</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strWhy3"/></xsl:attribute>
				</Data>
			</ListData>
			<BottomCustomButton>
				<Data>
					<xsl:choose>
						<xsl:when test="BackTo != 'null'">
					               <xsl:attribute name="href"><xsl:value-of select="BackTo"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.sm.webplugins.OMSSHealthWebPlugin&amp;help=adprin</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="display"><xsl:value-of select="$strExitWizard"/></xsl:attribute>
				</Data>
			</BottomCustomButton>
		</DataArea>
	</xsl:template>
</xsl:stylesheet>
