<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of controller comes before strtitle; Use this if you have to split strTitle--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART--> Warnung: Eine physische Festplatte offline zu setzen, kann zu Datenverlust führen. Sind Sie sicher, dass Sie diese physische Festplatte offline setzen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART--> Warnung: Durch das Versetzen einer physische Festplatte in den Online-Zustand, werden die Parität und die Daten der virtuellen Festplatte nicht überprüft. Sollten während dem Ausfall der physischen Festplatte Daten auf die virtuelle Festplatte geschrieben worden sein, könnte das Versetzen der fehlerhaften physischen Festplatte in den Online-Zustand zu Datenverlust führen. Es wird stark empfohlen, entweder eine automatische Neuerstellung der physischen Festplatte zuzulassen, oder eine Übereinstimmungsüberprüfung der virtuellen Festplatte einzuleiten, nachdem der Online-Task abgeschlossen wurde. Sind Sie sicher, dass Sie diese physische Festplatte online setzen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART--> Warnung: Das Löschen einer physischen Festplatte löscht auch die Daten, die sich auf der physischen Festplatte befinden. Sind Sie sicher, dass Sie diese physische Festplatte löschen möchten?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->Warnung: Wenn Sie 'Sofortige Sicherheitslöschung' ausführen, werden alle Daten auf der Festplatte permanent verloren gehen. Sind Sie sicher, dass Sie diese sichere physische Festplatte löschen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->  Warnung: Sind Sie sicher, dass Sie den Task Löschen auf dieser physischen Festplatte abbrechen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART--> Warnung: Alle Daten auf der physischen Festplatte gehen nach der Zuweisung der physischen Festplatte als globalen Hotspare verloren. Bitte stellen Sie sicher, dass die physische Festplatte keine Daten enthält, bevor Sie sie als globalen Hotspare zuweisen. Sind Sie sicher, dass Sie diese physische Festplatte als globalen Hotspare zuweisen möchten?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> Warnung: Sind Sie sicher, dass Sie die physische Festplatte zum Entfernen vorbereiten möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> Warnung: Sind Sie sicher, dass Sie die physische Festplatte zum Entfernen vorbereiten möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->Physische Festplatten<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of device follows subheader; Use this if you have to split strsubheader--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->Physische Festplatte<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->Physische Festplatte<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->Virtuelles Laufwerk blinken<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->Online<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->Löschen<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->Globalen Hotspare zuweisen<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->Löschen abbrechen<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->Entfernen der physischen Festplatte vorbereiten<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->Entfernen der physischen Festplatte vorbereiten<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->Physische Festplatte<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->Physische Festplatte<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte zum Entfernen vorbereiten möchten? <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte zum Entfernen vorbereiten möchten? <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte Online setzen möchten? <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte Offline setzen möchten? <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte löschen möchten? <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->Sind Sie sicher, dass Sie das Löschen auf dieser physischen Festplatte abbrechen möchten? <!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->Sind Sie sicher, dass Sie 'Sofort sicher Löschen' auf dieser physischen Festplatte ausführen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->Sind Sie sicher, dass Sie diese physische Festplatte als globalen Hotspare zuweisen möchten?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->Sichere Festplatte löschen<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
