<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTypeCVDU"><!--XLATESTART-->RAID-Stufe<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpConcatCVDU"><!--XLATESTART-->Verkettung<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid0CVDU"><!--XLATESTART-->Striping, keine Redundanz<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1CVDU"><!--XLATESTART-->Datenspiegelung<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid5CVDU"><!--XLATESTART-->Striping mit verteilter Parität<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid6CVDU"><!--XLATESTART-->Striping mit zusätzlicher verteilter Parität<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid10CVDU"><!--XLATESTART-->Striping über gespiegelte Sets<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid50CVDU"><!--XLATESTART-->Striping über RAID 5-Sets<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid60CVDU"><!--XLATESTART-->Striping über mehr als einen Bereich physischer, als RAID 6 konfigurierter Festplatten<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1-Verkettung<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpConcatCVDU"><!--XLATESTART-->Daten umfassen n Festplatten, um ein virtuelles Laufwerk mit einer Kapazität von n Festplatten zu erstellen. Es wird keine Redundanz beibehalten. Keine Leistungssteigerung.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid0CVDU"><!--XLATESTART-->Gruppiert n Festplatten als eine große virtuelle Festplatte mit einer Kapazität von n Festplatten. Daten werden auf den Festplatten abwechselnd gespeichert. Es wird keine Redundanz beibehalten. Bessere Lese- und Schreibleistung.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1CVDU"><!--XLATESTART-->Gruppiert zwei Festplatten als eine virtuelle Festplatte mit der Kapazität einer einzelnen Festplatte. Daten werden auf beiden Festplatten repliziert. Wenn eine Festplatte ausfällt, kann das virtuelle Laufwerk weiterhin betrieben werden. Bessere Leseleistung, aber etwas langsamere Schreibleistung. Verbesserte Redundanz.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid5CVDU"><!--XLATESTART-->Striping mit verteilter Parität. Gruppiert n Festplatten als eine große virtuelle Festplatte mit einer Kapazität von (n-1) Festplatten. Redundante Informationen werden abwechselnd auf allen Festplatten gespeichert. Wenn eine Festplatte ausfällt, kann das virtuelle Laufwerk weiterhin betrieben werden. Bessere Leseleistung, aber  langsamere Schreibleistung. Verbesserte Redundanz.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid6CVDU"><!--XLATESTART-->Gruppiert n Festplatten als eine große virtuelle Festplatte mit einer Kapazität von (n-2) Festplatten.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid10CVDU"><!--XLATESTART-->Gruppiert n Festplatten als eine große Festplatte mit einer Kapazität von n/2 Festplatten. Daten werden auf den replizierten Paaren der Spiegelungsfestplatten gestriped. Wenn eine Festplatte ausfällt, kann das virtuelle Laufwerk weiterhin betrieben werden. Die Daten werden von der verbleibenden Festplatte des Spiegelungspaars gelesen. Bessere Lese- und Schreibleistung. Verbesserte Redundanz.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid50CVDU"><!--XLATESTART-->RAID 50 nimmt Striping über mehr als einen Festplattenbereich vor, mit mindestens drei Festplatten pro Bereich.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid60CVDU"><!--XLATESTART-->Gruppiert n*s Festplatten als eine große virtuelle Festplatte mit einer Kapazität von s*(n-2) Festplatten, wobei s die Anzahl der Bereiche darstellt und n die Anzahl der Festplatten innerhalb jeden Bereichs.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1- Verkettet ist ein RAID 1, das mehr als ein einzelnes Paar gespiegelter Festplatten umfasst.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpHeaderCVDU"><!--XLATESTART-->RAID-Stufenbeschreibung:<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpDefaultMsgCVDU"><!--XLATESTART-->Wenn eine RAID-Stufe ausgewählt wird, wird die Beschreibung dazu hier angezeigt.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelRaidLevelCVDU"><!--XLATESTART-->RAID-Stufe auswählen.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelVDAttribsCVDU"><!--XLATESTART-->Attribute des virtuellen Laufwerkes auswählen<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNameCVDU"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSizeCVDU"><!--XLATESTART-->Größe<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeZeroCVDU"><!--XLATESTART-->Minimale Größe: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeZeroCVDU"><!--XLATESTART-->Maximale Größe: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStripeSizeCVDU"><!--XLATESTART-->Größe der Stripe-Elemente<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReadPolicyCVDU"><!--XLATESTART-->Leseregel<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strWritePolicyCVDU"><!--XLATESTART-->Schreibregel<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCachePolicyCVDU"><!--XLATESTART-->Cache-Regel<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strDiskCachePolicyCVDU"><!--XLATESTART-->Festplatten-Cache-Regeln<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVirtualDiskCVDU"><!--XLATESTART-->Virtuelles Laufwerk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDeviceCVDU"><!--XLATESTART-->Gerät<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strLevelCVDU"><!--XLATESTART-->Stufe<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strChnlTgtCVDU"><!--XLATESTART-->Konnektor:TargetID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskCVDU"><!--XLATESTART-->Physische Festplatte<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelectRaidLevelCVDU"><!--XLATESTART-->RAID-Stufe auswählen.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSpecifyVDSizeCVDU"><!--XLATESTART-->Größe des virtuellen Laufwerkes angeben.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDSizeNotNumberMsgCVDU"><!--XLATESTART-->Für die Größe des virtuellen Laufwerkes eine Zahl angeben. Verwenden Sie den minimalen und maximalen Bereich, um eine gültige Größe zu bestimmen.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDNameSizeExceedMsgCVDU"><!--XLATESTART-->Der Name des virtuellen Laufwerkes darf aus nicht mehr als 24 Zeichen bestehen.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeLabelCVDU"><!--XLATESTART-->Minimale Größe: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeLabelCVDU"><!--XLATESTART-->Maximale Größe: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGBUnitCVDU"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strInvalidSizeMsgCVDU"><!--XLATESTART-->Die angegebene Größe ist ungültig. Verwenden Sie den minimalen und maximalen Bereich, um eine gültige Größe zu bestimmen.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strFreeCVDU"><!--XLATESTART-->verfügbar<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOsLimitWarn"><!--XLATESTART-->Bitte überprüfen Sie, dass Ihr Betriebssystem einschließlich aller Aktualisierungen und Änderungen, ein virtuelles Laufwerk dieser Größe unterstützt. Wollen Sie fortfahren?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskIDCVDU"><!--XLATESTART-->Physische Festplatten-ID(s)<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExistingRaidCVDU"><!--XLATESTART-->Vorhandene RAID-Konfiguration<!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strSmallIMDescription"><!--XLATESTART-->Wählen Sie intelligente Datenspiegelung aus, um gespiegelte Paare automatisch zu erstellen. Gespiegelte Paare werden unter Verwendung eines optimierten Algorithmus erstellt. <!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strIntelligentMirroring"><!--XLATESTART-->Intelligente Datenspiegelung <!--XLATESTOP--></xsl:variable>  
</xsl:stylesheet>
