<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of controller comes before strtitle; Use this if you have to split strTitle--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART--> Warning: Making a physical disk offline may result in data loss. Are you sure you want to offline this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART--> Warning: Making a physical disk online does not verify the virtual disk's parity or data. If data was written to the virtual disk while the physical disk was failed, then making the failed physical disk online may result in data loss. It is strongly suggested that you either allow an automatic rebuild of the physical disk to complete or initiate a check consistency of the virtual disk after the Online task completes. Are you sure you want to make this physical disk online?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART--> Warning: Clearing a physical disk erases data that is residing on the physical disk. Are you sure you want to clear this physical disk?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->Warning: When you perform &apos;Instant Secure Erase&apos; operation, any data on the disk will be lost permanently. Are you sure you want to erase this secure physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->  Warning: Are you sure you want to cancel the Clear task on this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART--> Warning: Any data that resides on the physical disk will be lost after you assign the physical disk as a global hot spare. Please verify that the physical disk does not contain data before you assign it as a global hot spare. Are you sure you want to assign this physical disk as a global hot spare?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> Warning: Are you sure you want to prepare the physical disk for removal?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> Warning: Are you sure you want to prepare the physical disk for removal?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->Physical disks<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of device follows subheader; Use this if you have to split strsubheader--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->Physical Disk<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->Physical Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->Blink Virtual Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->Online<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->Clear<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->Assign Global Hot Spare<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->Cancel Clear<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->Prepare to Remove Physical Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->Prepare to Remove Physical Disk<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->Physical Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->Physical Disk<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->Are you sure you want to prepare this physical disk for removal?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->Are you sure you want to prepare this physical disk for removal?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->Are you sure you want to online this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->Are you sure you want to offline this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->Are you sure you want to clear this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->Are you sure you want to cancel clear on this physical disk?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->Are you sure you want to perform &apos;Instant Secure Erase&apos; on this physical disk?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->Are you sure you want to assign this physical disk as a global hot spare?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->Erase Secure Disk<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
