<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTypeCVDU"><!--XLATESTART-->RAID Level<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpConcatCVDU"><!--XLATESTART-->Concatenation<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid0CVDU"><!--XLATESTART-->Striping, no redundancy<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1CVDU"><!--XLATESTART-->Mirroring<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid5CVDU"><!--XLATESTART-->Striping with distributed parity<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid6CVDU"><!--XLATESTART-->Striping with additional distributed parity<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid10CVDU"><!--XLATESTART-->Striping over mirror sets<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid50CVDU"><!--XLATESTART-->Striping over RAID 5 sets<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid60CVDU"><!--XLATESTART-->Striping over more than one span of physical disks that are configured as a RAID 6<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1ConcatCVDU"><!--XLATESTART-->Concatenation of RAID 1<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpConcatCVDU"><!--XLATESTART-->Data spans n disks to create a virtual disk with a capacity of n disks. No redundancy is kept. No performance gain.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid0CVDU"><!--XLATESTART-->Groups n disks as one large virtual disk with a capacity of n disks. Data is stored to the disks alternately. No redundancy is kept. Better read and write performance.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1CVDU"><!--XLATESTART-->Groups two disks as one virtual disk with a capacity of a single disk. Data is replicated on both disks. When a disk fails, the virtual disk still works. Better read performance, but slightly slower write performance. Better redundancy.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid5CVDU"><!--XLATESTART-->Striping with distributed parity. Groups n disks as one large virtual disk with capacity of (n-1) disks. Redundant information is alternately stored on all disks. When a disk fails, the virtual disk still works. Better read performance, but slower write performance. Better redundancy.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid6CVDU"><!--XLATESTART-->Groups n disks as one large virtual disk with a capacity of (n-2) disks.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid10CVDU"><!--XLATESTART-->Groups n disks as one large disk with a capacity of n/2 disks. Data is striped across the replicated mirror pair disks. When a disk fails, the virtual disk still works. The data will be read from the surviving mirror pair disk. Better read performance and write performance. Better redundancy.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid50CVDU"><!--XLATESTART-->RAID 50 is striping over more than one disk span, with a minimum of 3 disks per span.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid60CVDU"><!--XLATESTART-->Groups n*s disks as one large virtual disk with a capacity of s*(n-2) disks, where s is the number of spans and n is the number of disks within each span.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1-concatenated is a RAID 1 that spans across more than a single pair of mirrored disks.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpHeaderCVDU"><!--XLATESTART-->RAID Level Description:<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpDefaultMsgCVDU"><!--XLATESTART-->When you select a RAID level, the description is displayed here.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelRaidLevelCVDU"><!--XLATESTART-->Select a RAID Level<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelVDAttribsCVDU"><!--XLATESTART-->Select the Virtual Disk Attributes<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNameCVDU"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSizeCVDU"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeZeroCVDU"><!--XLATESTART-->Minimum Size: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeZeroCVDU"><!--XLATESTART-->Maximum Size: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStripeSizeCVDU"><!--XLATESTART-->Stripe Element Size<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReadPolicyCVDU"><!--XLATESTART-->Read Policy<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strWritePolicyCVDU"><!--XLATESTART-->Write Policy<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCachePolicyCVDU"><!--XLATESTART-->Cache Policy<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strDiskCachePolicyCVDU"><!--XLATESTART-->Disk Cache Policy<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVirtualDiskCVDU"><!--XLATESTART-->Virtual Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDeviceCVDU"><!--XLATESTART-->Device<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strLevelCVDU"><!--XLATESTART-->Level<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strChnlTgtCVDU"><!--XLATESTART-->Connector:TargetID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskCVDU"><!--XLATESTART-->Physical Disk<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelectRaidLevelCVDU"><!--XLATESTART-->Select a RAID Level.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSpecifyVDSizeCVDU"><!--XLATESTART-->Specify the virtual disk size.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDSizeNotNumberMsgCVDU"><!--XLATESTART-->Specify a number for the virtual disk size. Use the minimum and maximum range to determine a valid size.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDNameSizeExceedMsgCVDU"><!--XLATESTART-->The virtual disk name cannot exceed 24 characters.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeLabelCVDU"><!--XLATESTART-->Minimum Size: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeLabelCVDU"><!--XLATESTART-->Maximum Size: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGBUnitCVDU"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strInvalidSizeMsgCVDU"><!--XLATESTART-->The size specified is invalid. Use the minimum and maximum range to determine a valid size.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strFreeCVDU"><!--XLATESTART-->Free<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOsLimitWarn"><!--XLATESTART-->Please verify that your operating system, including any updates or modifications, supports a virtual disk of this size. Do you want to proceed?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskIDCVDU"><!--XLATESTART-->Physical Disk ID(s)<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExistingRaidCVDU"><!--XLATESTART-->Existing RAID Configuration<!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strSmallIMDescription"><!--XLATESTART-->Select Intelligent Mirroring to automatically create mirrored pairs. Mirrored pairs are created using an optimized algorithm. <!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strIntelligentMirroring"><!--XLATESTART-->Intelligent Mirroring <!--XLATESTOP--></xsl:variable>  
</xsl:stylesheet>
