<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strID"><!--XLATESTART-->ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strName"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSlotID"><!--XLATESTART-->Slot ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strState"><!--XLATESTART-->State<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChanType"><!--XLATESTART-->Connector Type<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strExecute"><!--XLATESTART-->Execute<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoTask"><!--XLATESTART-->No Task Available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTasks"><!--XLATESTART-->Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidString"><!--XLATESTART-->Only alphanumeric characters, spaces, underlines and dashes allowed.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidStringNoSpace"><!--XLATESTART-->Only alphanumeric characters, underlines and dashes allowed.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStartSpace"><!--XLATESTART-->Name cannot begin or end with spaces.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknown"><!--XLATESTART-->Unknown<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotApplicable"><!--XLATESTART-->Not Applicable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotAvailable"><!--XLATESTART-->Not Available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDefault"><!--XLATESTART-->Default<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCapacity"><!--XLATESTART-->Capacity<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUsedSpace"><!--XLATESTART-->Used RAID Disk Space<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFreeSpace"><!--XLATESTART-->Available RAID Disk Space<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpare"><!--XLATESTART-->Hot Spare<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProductID"><!--XLATESTART-->Product ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRevision"><!--XLATESTART-->Revision<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVendorID"><!--XLATESTART-->Vendor ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSerial"><!--XLATESTART-->Serial No.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strExecuteButton"><!--XLATESTART-->Execute<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlertMessage"><!--XLATESTART-->Function Not Supported:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTermination"><!--XLATESTART-->Termination<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSCSIRate"><!--XLATESTART-->SCSI Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFW"><!--XLATESTART-->Firmware Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDvr"><!--XLATESTART-->Driver Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReqFW"><!--XLATESTART-->Minimum Required Firmware Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReqDvr"><!--XLATESTART-->Minimum Required Driver Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStorPortDvr"><!--XLATESTART-->Storport Driver Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReqStorPortDvr"><!--XLATESTART-->Minimum Required Storport Driver Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNumChannels"><!--XLATESTART-->Number of Connectors<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASPort"><!--XLATESTART-->SAS Port<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSCSIChannel"><!--XLATESTART-->SCSI Channel Non-RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAIDChannel"><!--XLATESTART-->SCSI Channel RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChannel"><!--XLATESTART-->Connector <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTargetID"><!--XLATESTART-->Target ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclosureID"><!--XLATESTART-->Enclosure ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strType"><!--XLATESTART-->Bus Protocol<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConfig"><!--XLATESTART-->Configuration<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKernelVer"><!--XLATESTART-->Kernel Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strServiceTag"><!--XLATESTART-->Service Tag<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAssetTag"><!--XLATESTART-->Asset Tag<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAssetName"><!--XLATESTART-->Asset Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAppVer"><!--XLATESTART-->Application Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBPPartNo"><!--XLATESTART-->Backplane Part Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSBPartNo"><!--XLATESTART-->Split Bus Part Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclPartNo"><!--XLATESTART-->Enclosure Part Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceName"><!--XLATESTART-->Device Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReadCache"><!--XLATESTART-->Read Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteCache"><!--XLATESTART-->Write Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCachePolicy"><!--XLATESTART-->Cache Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLayout"><!--XLATESTART-->Layout<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSize"><!--XLATESTART-->Size<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStripeSize"><!--XLATESTART-->Stripe Element Size<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID"><!--XLATESTART-->RAID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAIDC"><!--XLATESTART-->Concatenated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID0"><!--XLATESTART-->RAID-0<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID1"><!--XLATESTART-->RAID-1<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID5"><!--XLATESTART-->RAID-5<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID6"><!--XLATESTART-->RAID-6<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID10"><!--XLATESTART-->RAID-10<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID30"><!--XLATESTART-->RAID-30<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID50"><!--XLATESTART-->RAID-50<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID60"><!--XLATESTART-->RAID-60<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID1C"><!--XLATESTART-->RAID-1 Concatenated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAID5C"><!--XLATESTART-->RAID-5 Concatenated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoRAID"><!--XLATESTART-->No RAID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVolume"><!--XLATESTART-->Volume<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strYes"><!--XLATESTART-->Yes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNo"><!--XLATESTART-->No<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGB"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGbps"><!--XLATESTART-->Gbps<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGlobalHS"><!--XLATESTART-->Global<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDedHS"><!--XLATESTART-->Dedicated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReadCEnabled"><!--XLATESTART-->Read Cache Enabled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReadCDisabled"><!--XLATESTART-->Read Cache Disabled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReadAhead"><!--XLATESTART-->Read Ahead<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAdapReadAhead"><!--XLATESTART-->Adaptive Read Ahead<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoReadAhead"><!--XLATESTART-->No Read Ahead<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteCEnabled"><!--XLATESTART-->Write Cache Enabled Protected<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteCDisabled"><!--XLATESTART-->Write Cache Disabled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteBack"><!--XLATESTART-->Write Back<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strForceWriteBack"><!--XLATESTART-->Force Write Back<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteThrough"><!--XLATESTART-->Write Through<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWriteAlways"><!--XLATESTART-->Write Cache Enable Always<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDirectIO"><!--XLATESTART-->Direct I/O<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCacheIO"><!--XLATESTART-->Cache I/O<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str512B"><!--XLATESTART-->512 Bytes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str1KB"><!--XLATESTART-->1 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str2KB"><!--XLATESTART-->2 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str4KB"><!--XLATESTART-->4 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str8KB"><!--XLATESTART-->8 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str16KB"><!--XLATESTART-->16 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str32KB"><!--XLATESTART-->32 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str64KB"><!--XLATESTART-->64 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str128KB"><!--XLATESTART-->128 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str256KB"><!--XLATESTART-->256 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str512KB"><!--XLATESTART-->512 KB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str1MB"><!--XLATESTART-->1 MB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str2MB"><!--XLATESTART-->2 MB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str4MB"><!--XLATESTART-->4 MB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str8MB"><!--XLATESTART-->8 MB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str16MB"><!--XLATESTART-->16 MB<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHendrix8"><!--XLATESTART-->PV200S / PV201S<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHendrix12"><!--XLATESTART-->PV210S / PV211S<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strZappa"><!--XLATESTART-->PV220S / PV221S<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCandy"><!--XLATESTART-->PV215A / PV216A<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPompano"><!--XLATESTART-->MD1000<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBackPlane"><!--XLATESTART-->Backplane<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnified"><!--XLATESTART-->Unified<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strJoined"><!--XLATESTART-->Joined<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSplit"><!--XLATESTART-->Split<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClustered"><!--XLATESTART-->Clustered<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStopped"><!--XLATESTART-->Stopped<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSlow"><!--XLATESTART-->Slow<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMedium"><!--XLATESTART-->Medium<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFast"><!--XLATESTART-->Fast<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSCSISSD"><!--XLATESTART-->SCSI SSD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSCSIHDD"><!--XLATESTART-->SCSI HDD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSCSI"><!--XLATESTART-->SCSI<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSATA"><!--XLATESTART-->SATA<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSAS"><!--XLATESTART-->SAS<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASandSATA"><!--XLATESTART-->SAS,SATA<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSATASSD"><!--XLATESTART-->SATA SSD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSATAHDD"><!--XLATESTART-->SATA HDD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASSSD"><!--XLATESTART-->SAS SSD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASHDD"><!--XLATESTART-->SAS HDD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSSD"><!--XLATESTART-->SSD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSSDandHDD"><!--XLATESTART-->SSD,HDD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHDD"><!--XLATESTART-->HDD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASHDDandSSD"><!--XLATESTART-->SAS HDD, SSD <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSATAHDDandSSD"><!--XLATESTART-->SATA HDD, SSD<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIDE"><!--XLATESTART-->IDE<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPort"><!--XLATESTART-->Port:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLUN"><!--XLATESTART-->LUN:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strID2"><!--XLATESTART-->ID:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWideTerm"><!--XLATESTART-->Wide Terminated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNarrowTerm"><!--XLATESTART-->Narrow Terminated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoTerm"><!--XLATESTART-->Not Terminated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOther"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOK"><!--XLATESTART-->OK<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonCritical"><!--XLATESTART-->Non-Critical<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCritical"><!--XLATESTART-->Critical<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonRecoverable"><!--XLATESTART-->Non-Recoverable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNA"><!--XLATESTART-->N/A<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReady"><!--XLATESTART-->Ready<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailed"><!--XLATESTART-->Failed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnline"><!--XLATESTART-->Online<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOffline"><!--XLATESTART-->Offline<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDegraded"><!--XLATESTART-->Degraded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRecovering"><!--XLATESTART-->Recovering<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRemoved"><!--XLATESTART-->Removed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResyncing"><!--XLATESTART-->Resynching<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnlineResync"><!--XLATESTART-->Online, Resynching<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRegen"><!--XLATESTART-->Regenerating<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnlineRegenFormat"><!--XLATESTART-->Online, Regenerating, Formatting<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnlineRegen"><!--XLATESTART-->Online, Regenerating<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRebuilding"><!--XLATESTART-->Rebuilding<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReconstructing"><!--XLATESTART-->Reconstructing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotReady"><!--XLATESTART-->Not Ready<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnlineUnReadable"><!--XLATESTART-->Online, Unreadable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRescan"><!--XLATESTART-->Rescan<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFlush"><!--XLATESTART-->Flush<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnableAlarm"><!--XLATESTART-->Enable Alarm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisableAlarm"><!--XLATESTART-->Disable Alarm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strQuietAlarm"><!--XLATESTART-->Quiet Alarm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTestAlarm"><!--XLATESTART-->Test Alarm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRebuildRate"><!--XLATESTART-->Rebuild Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetRebuildRate"><!--XLATESTART-->Set Rebuild Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCreateVD"><!--XLATESTART-->Create Virtual Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResetConfig"><!--XLATESTART-->Reset Configuration<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strExportLog"><!--XLATESTART-->Export Log<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPauseIO"><!--XLATESTART-->Pause I/O<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResumeIO"><!--XLATESTART-->Resume I/O<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRecondition"><!--XLATESTART-->Recondition Battery<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnabled"><!--XLATESTART-->Enabled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisabled"><!--XLATESTART-->Disabled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDetected"><!--XLATESTART-->Detected<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClear"><!--XLATESTART-->Clear<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCleared"><!--XLATESTART-->Cleared<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strQuiet"><!--XLATESTART-->Quiet<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRechargeBattery"><!--XLATESTART-->Recondition Battery<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetTagData"><!--XLATESTART-->Set Asset Data<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetCacheMode"><!--XLATESTART-->Set Cache Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDownloadFW"><!--XLATESTART-->Download Firmware<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetTempData"><!--XLATESTART-->Set Temperature Probe Values<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetAllTempData"><!--XLATESTART-->Set All Temperature Probe Values<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReconfig"><!--XLATESTART-->Reconfigure<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFormat"><!--XLATESTART-->Format<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelFormat"><!--XLATESTART-->Cancel Format<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRecover"><!--XLATESTART-->Restore Dead Segments<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRemoveDeadDisks"><!--XLATESTART-->Remove Dead Segments<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDelete"><!--XLATESTART-->Delete<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCheckConsistency"><!--XLATESTART-->Check Consistency<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInitialize"><!--XLATESTART-->Initialize<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFastInitialize"><!--XLATESTART-->Fast Initialize<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSlowInitialize"><!--XLATESTART-->Slow Initialize<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConfigDedHS"><!--XLATESTART-->Assign/Unassign Dedicated Hot Spare<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBlink"><!--XLATESTART-->Blink<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnBlink"><!--XLATESTART-->Unblink<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRename"><!--XLATESTART-->Rename<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelCheckConsistency"><!--XLATESTART-->Cancel Check Consistency<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelInit"><!--XLATESTART-->Cancel Initialize<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSplitMirror"><!--XLATESTART-->Split Mirror<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnMirror"><!--XLATESTART-->Unmirror<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelRebuild"><!--XLATESTART-->Cancel Rebuild<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPauseCheckConsistency"><!--XLATESTART-->Pause Check Consistency<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResumeCheckConsistency"><!--XLATESTART-->Resume Check Consistency<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelReconfig"><!--XLATESTART-->Cancel Reconfigure<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelBGI"><!--XLATESTART-->Cancel Background Initialization<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDiags"><!--XLATESTART-->Diagnostics<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRebuild"><!--XLATESTART-->Rebuild<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAssignGlobalHS"><!--XLATESTART-->Assign Global Hot Spare<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnassignGlobalHS"><!--XLATESTART-->Unassign Global Hot Spare<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPreparetoRemove"><!--XLATESTART-->Prepare to Remove<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelDiags"><!--XLATESTART-->Cancel Diagnostics<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVerify"><!--XLATESTART-->Verify<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelVerify"><!--XLATESTART-->Cancel Verify<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclID"><!--XLATESTART-->Enclosure ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarnState"><!--XLATESTART-->Minimum Warning Threshold Exceeded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinFailureState"><!--XLATESTART-->Minimum Failure Threshold Exceeded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarnState"><!--XLATESTART-->Maximum Warning Threshold Exceeded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxFailureState"><!--XLATESTART-->Maximum Failure Threshold Exceeded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarnThresh"><!--XLATESTART-->Minimum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarnThresh"><!--XLATESTART-->Maximum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinFailureThresh"><!--XLATESTART-->Minimum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxFailureThresh"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWarnThresh"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailureThresh"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinimum"><!--XLATESTART-->Minimum<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaximum"><!--XLATESTART-->Maximum<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPartNo"><!--XLATESTART-->Part Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpeed"><!--XLATESTART-->Speed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclAlarm"><!--XLATESTART-->Enclosure Alarm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strADName"><!--XLATESTART-->Physical Disk <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHDName"><!--XLATESTART-->Physical Disk <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSelectTask"><!--XLATESTART-->Available Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRefresh"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnavaliable"><!--XLATESTART-->Unavailable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlarmState"><!--XLATESTART-->Alarm State<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSmartAlert"><!--XLATESTART-->Smart Alert Detected<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInitializing"><!--XLATESTART-->Initializing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPCI"><!--XLATESTART-->PCI Slot <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEmbedded"><!--XLATESTART-->Embedded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDegreesC"><!--XLATESTART--> C<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChangePolicy"><!--XLATESTART-->Change Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReading"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEllipse"><!--XLATESTART--> ...<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRechargeCount"><!--XLATESTART-->Recharge Count<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxRechargeCount"><!--XLATESTART-->Max Recharge Count<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBattery"><!--XLATESTART-->Battery <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBatteryTasks"><!--XLATESTART-->Battery Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProgress"><!--XLATESTART-->Progress<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPercComp"><!--XLATESTART-->% complete<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnableWriteCache"><!--XLATESTART-->Enable Write Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisableWriteCache"><!--XLATESTART-->Disable Write Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnableSTS"><!--XLATESTART-->Enable Smart Thermal Shutdown<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisableSTS"><!--XLATESTART-->Disable Smart Thermal Shutdown<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclWriteCacheMode"><!--XLATESTART-->Write Cache Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetWriteCacheMode"><!--XLATESTART-->Set Write Cache Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCtrlIOBusy"><!--XLATESTART-->Test IO Busy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBGIInitState"><!--XLATESTART-->Background Initialization<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRelayout"><!--XLATESTART-->Relayout<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRescanning"><!--XLATESTART-->Rescanning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBlinking"><!--XLATESTART-->Blinking<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDiagsRunning"><!--XLATESTART-->Diagnostics Running<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoMedia"><!--XLATESTART-->No Media<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMissing"><!--XLATESTART-->Missing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedRedundancy"><!--XLATESTART-->Failed Redundancy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailingRedundancy"><!--XLATESTART-->Failing Redundancy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedRedFailed"><!--XLATESTART-->Failed Redundancy Failing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailing"><!--XLATESTART-->Failing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIOErrorState"><!--XLATESTART-->IO Error<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotInstalledState"><!--XLATESTART-->Not Installed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResetState"><!--XLATESTART-->Resetting<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInactiveState"><!--XLATESTART-->Inactive<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerHighState"><!--XLATESTART-->Power High<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerLowState"><!--XLATESTART-->Power Low<!--XLATESTOP--></xsl:variable>
<!-- strChargingState is old var. Need to split charging and reconditioning -->
<xsl:variable name="strChargingState"><!--XLATESTART-->Reconditioning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReconditioning"><!--XLATESTART-->Reconditioning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCharging"><!--XLATESTART-->Charging<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPermanentlyDegraded"><!--XLATESTART-->Permanently Degraded<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIncompatible"><!--XLATESTART-->Incompatible<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpeedIncreasing"><!--XLATESTART-->Speed Increasing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpeedDecreasing"><!--XLATESTART-->Speed Decreasing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFormatting"><!--XLATESTART-->Formatting<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpinDown"><!--XLATESTART-->Spinning Down<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOnlineUnreadable"><!--XLATESTART-->Online Unreadable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoSlot"><!--XLATESTART-->Slot Not Available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConfirmMsgForIMCreation"><!--XLATESTART-->Data will be lost on the secondary disk and a reboot will be forced.\nDo you want to go continue?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPauseResynch"><!--XLATESTART-->Resynching Paused<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSelectValidTask"><!--XLATESTART-->Please select a valid task.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEncTasks"><!--XLATESTART-->Enclosure Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVDTasks"><!--XLATESTART-->Virtual Disks Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strADTasks"><!--XLATESTART-->Physical Disk Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChannelTasks"><!--XLATESTART-->Connector Tasks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClusterMode"><!--XLATESTART-->Cluster Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strScsiTgId"><!--XLATESTART-->SCSI Initiator ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEMM"><!--XLATESTART-->EMM <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFan"><!--XLATESTART-->Fan <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTemperature"><!--XLATESTART-->Temperature Probe <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPwrSupply"><!--XLATESTART-->Power Supply <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPauseFormat"><!--XLATESTART-->Format Paused<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClusterResetCnfg"><!--XLATESTART-->WARNING! Cluster Services (MSCS) is running. Resetting configuration on a controller that contains a cluster resource can result in unpredictable errors or system hangs (quorum disk). You should shut down cluster services before deleting cluster resources. ARE YOU SURE that you wish to proceed?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClusterCreate"><!--XLATESTART-->WARNING! You must reboot both servers in the cluster before creating a volume on the virtual disk. Creating a volume without rebooting both servers could cause loss of data. You can create more virtual disks without rebooting as long as no volumes are created.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClusterGeneric"><!--XLATESTART-->Warning: You are performing operations on a cluster-enabled controller. It is highly recommended that you power down the other systems in the cluster before performing any operation on the controller. Are you sure you want to continue?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClusterDelete"><!--XLATESTART-->WARNING! Cluster Services (MSCS) is running. Deleting a virtual disk that contains a cluster resource can result in unpredictable errors or system hangs (quorum disk). You should shut down cluster services before deleting cluster resources. ARE YOU SURE that you wish to proceed?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strError"><!--XLATESTART-->Error!&#160;<!--XLATESTOP--></xsl:variable>
<!-- &#160; is the escape character for a blank space.-->
<xsl:variable name="strFirmwareDriverVersions"><!--XLATESTART-->Firmware/Driver Versions<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStorEncl"><!--XLATESTART-->Storage Enclosures<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNegotiatedSpeed"><!--XLATESTART-->Negotiated Speed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCapableSpeed"><!--XLATESTART-->Capable Speed<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strActive"><!--XLATESTART-->Active<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCacheSize"><!--XLATESTART-->Cache Memory Size<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPatrolReadMode"><!--XLATESTART-->Patrol Read Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPatrolReadState"><!--XLATESTART-->Patrol Read State<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPatrolReadRate"><!--XLATESTART-->Patrol Read Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPatrolReadIterations"><!--XLATESTART-->Patrol Read Iterations<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAuto"><!--XLATESTART-->Auto<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strManual"><!--XLATESTART-->Manual<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAborted"><!--XLATESTART-->Aborted<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBGIRate"><!--XLATESTART-->BGI Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChkConsistencyRate"><!--XLATESTART-->Check Consistency Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReconstructRate"><!--XLATESTART-->Reconstruct Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAbortCConError"><!--XLATESTART-->Abort check consistency on error <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBatteryLearnState"><!--XLATESTART-->Learn State<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBatteryCapacityState"><!--XLATESTART-->Predicted Capacity Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNextLearnCycleTime"><!--XLATESTART-->Next Learn Time<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxLearnDelay"><!--XLATESTART-->Maximum Learn Delay<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStartLearn"><!--XLATESTART-->Start Learn Cycle<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDelayLearn"><!--XLATESTART-->Delay Learn Cycle<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDays"><!--XLATESTART-->days<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHours"><!--XLATESTART-->hours<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDay"><!--XLATESTART-->day<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHour"><!--XLATESTART-->hour<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTimedOut"><!--XLATESTART-->Timed Out<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIdle"><!--XLATESTART-->Idle<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRequested"><!--XLATESTART-->Requested<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLearning"><!--XLATESTART-->Learning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPredFailure"><!--XLATESTART-->Failure Predicted<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIsCertified"><!--XLATESTART-->Certified<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetBGIRate"><!--XLATESTART-->Set BGI Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetCheckConRate"><!--XLATESTART-->Set Check Consistency Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetPatReadRate"><!--XLATESTART-->Set Patrol Read Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetReconstructRate"><!--XLATESTART-->Set Reconstruct Rate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetPatReadMode"><!--XLATESTART-->Set Patrol Read Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStartPatRead"><!--XLATESTART-->Start Patrol Read<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStopPatRead"><!--XLATESTART-->Stop Patrol Read<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClearForeignConfig"><!--XLATESTART-->Clear Foreign Configuration<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strImportForeignConfig"><!--XLATESTART-->Import Foreign Configuration<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strForeignConfigOperations"><!--XLATESTART-->Foreign Configuration Operations<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strForcedImportForeignConfig"><!--XLATESTART-->Import/Recover Foreign Configuration<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnableCluster"><!--XLATESTART-->Enable Cluster<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisableCluster"><!--XLATESTART-->Disable Cluster<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDumpEvents"><!--XLATESTART-->Dump Events<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAdiskClear"><!--XLATESTART-->Clear<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAdiskCancelClear"><!--XLATESTART-->Cancel Clear<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strForeignState"><!--XLATESTART-->Foreign<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClearState"><!--XLATESTART-->Clear<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnsupportedState"><!--XLATESTART-->Unsupported<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strManufactureDay"><!--XLATESTART-->Manufacture Day<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strManufactureWeek"><!--XLATESTART-->Manufacture Week<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strManufactureYear"><!--XLATESTART-->Manufacture Year<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASAddress"><!--XLATESTART-->SAS Address<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGlobalStorageProperties"><!--XLATESTART-->Global Storage Properties<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSmartThermalShutdown"><!--XLATESTART-->Smart Thermal Shutdown<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSTS"><!--XLATESTART-->Smart Thermal Shutdown<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSATARAID"><!--XLATESTART-->SATA Port RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASRAID"><!--XLATESTART-->SAS Port RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIDERAID"><!--XLATESTART-->IDE Channel RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSASNonRAID"><!--XLATESTART-->SAS Port Non-RAID Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpace"><!--XLATESTART--><xsl:text> </xsl:text><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strColon"><!--XLATESTART-->:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnclosure"><!--XLATESTART-->Enclosure<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strscsicontroller"><!--XLATESTART-->SCSI SES Module<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strscsiterminator"><!--XLATESTART-->SCSI Terminator<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStartParen"><!--XLATESTART-->(<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEndParen"><!--XLATESTART-->)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBackPageButton"><!--XLATESTART-->Go Back to Previous Page<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGlobalRescan"><!--XLATESTART-->Global Rescan<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDegradedRedundancy"><!--XLATESTART-->Degraded Redundancy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoStorageController"><!--XLATESTART-->No storage controllers detected.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDirectAttached"><!--XLATESTART-->Direct Attached<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDiskCachePolicy"><!--XLATESTART-->Disk Cache Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strChangeControllerProperties"><!--XLATESTART-->Change Controller Properties<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCancelCopyback"><!--XLATESTART-->Cancel Replace Member<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLoadBalancing"><!--XLATESTART-->Load balance<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSmarterErrorDisk"><!--XLATESTART-->Auto replace member on predictive failure<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClearMultipath"><!--XLATESTART-->Redundant Path view <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPrevPage"><!--XLATESTART-->Return to Previous Page<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConnector0"><!--XLATESTART--> Connector 0 <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConnector1"><!--XLATESTART--> Connector 1 <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAvailable"><!--XLATESTART-->Available <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisconnected"><!--XLATESTART-->Disconnected <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLogicalConnector"><!--XLATESTART-->Logical Connector <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWarn"><!--XLATESTART-->Warn<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLearnMode"><!--XLATESTART-->Learn Mode<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReplaceMemberDisk"><!--XLATESTART-->Replace Member Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strExceedMaxVDLimit"><!--XLATESTART-->Exceed maximum Virtual Disk limit<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnsupportedRAIDLevel"><!--XLATESTART-->Unsupported RAID level<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMissingSpan"><!--XLATESTART-->Missing span<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMissingPD"><!--XLATESTART-->Missing Physical Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStalePD"><!--XLATESTART-->Stale Physical Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrphanDrive"><!--XLATESTART-->Orphan Drive<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIncompatiblePD"><!--XLATESTART-->Incompatible Physical Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDHSNotAssignMsg"><!--XLATESTART-->Dedicated hot spare is not assigned to this virtual disk. Are you sure you want to continue?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPinnedCache"><!--XLATESTART-->Manage Preserved Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDiscardPinnedCache"><!--XLATESTART-->Discard Preserved Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strImportRecover"><!--XLATESTART-->Import/Recover<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDue"><!--XLATESTART-->Due<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCopyback"><!--XLATESTART-->Allow Revertible Hot Spare and Replace Member<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPDCopyback"><!--XLATESTART-->Replacing<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateBeforeImport"><!--XLATESTART-->State Before Import<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateAfterImport"><!--XLATESTART-->State After Import<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPartialForeignVD"><!--XLATESTART-->Partially Foreign<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommunicationLost"><!--XLATESTART-->Communication Lost<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMediaType"><!--XLATESTART-->Media<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDiskProtocolMsg"><!--XLATESTART-->Select virtual disk group<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetHSProtectionPolicy"><!--XLATESTART-->Set HotSpare Protection Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strViewHSProtectionPolicy"><!--XLATESTART-->View HotSpare Protection Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInformational"><!--XLATESTART-->Informational<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWarning"><!--XLATESTART-->Warning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHSPPolicyViolated"><!--XLATESTART-->HotSpare Policy violated<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotAssigned"><!--XLATESTART-->Not Assigned<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCVDPolicyMsg"><!--XLATESTART-->Assign the required number of hot spares to comply with the Hot Spare Protection Policy you have set. The minimum number of disks required to be assigned for this RAID level is: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDedicatedHotSparePolicies"><!--XLATESTART-->Dedicated Hotspare Policies<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRAIDLevels"><!--XLATESTART-->RAID Level<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinNumDHSDisks"><!--XLATESTART-->Minimum Number of DHS Required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinNumGHSDisks"><!--XLATESTART-->Minimum Number of GHS Required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWarnLevel"><!--XLATESTART-->Severity Level<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGlobalHotSparePolicies"><!--XLATESTART-->Global Hot Spare Policy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strConsiderGHSInVDStatus"><!--XLATESTART-->Include the Global Hot Spare in the Virtual Disk Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strManageSecurityKey"><!--XLATESTART-->Manage Security Key<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecured"><!--XLATESTART-->Secured<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecureVirtualDisk"><!--XLATESTART-->Secure Virtual Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->Instant Secure Erase<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClearVDBadBlocks"><!--XLATESTART-->Clear Virtual Disk Bad Blocks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVDBadBlocks"><!--XLATESTART-->Virtual Disk Bad Blocks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClearVDBadBlockMessage"><!--XLATESTART-->Clearing virtual disk bad blocks does not recover lost data, but clears the bad block table. Do you want to continue?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAltaVendor"><!--XLATESTART-->Alta Vendor<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAltaProductID"><!--XLATESTART-->Alta Product ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAltaRevision"><!--XLATESTART-->Alta Revision<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEncryptionCapable"><!--XLATESTART-->Encryption Capable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecuredVD"><!--XLATESTART-->Create Secure Virtual Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecuredVirtualDisk"><!--XLATESTART-->Secure Virtual Disk<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecurityCapable"><!--XLATESTART-->Security Capable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecurityKeyPresent"><!--XLATESTART-->Security Key Present<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLabelSecurityKeyIdentifier"><!--XLATESTART-->Security Key Identifier <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLockedPhysicalDisks"><!--XLATESTART-->Physical Disks<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBlankPassphrase"><!--XLATESTART-->Enter passphrase<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAreYouSureSecureVD"><!--XLATESTART-->Once you Secure a Virtual Disk, you will not be able to remove the security from the Virtual Disk. Are you sure you want to secure this Virtual Disk?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDriveReadCache"><!--XLATESTART-->Read Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDriveWriteCache"><!--XLATESTART-->Write Cache<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strControllerInformationPage"><!--XLATESTART-->Return to Controller Information page <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStorageDashboardPage"><!--XLATESTART-->Return to Storage Dashboard Page<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>

