<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of controller comes before strtitle; Use this if you have to split strTitle--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART--> Advertencia: El poner un disco físico fuera de línea puede resultar en pérdida de datos. ¿Está seguro que desea poner este disco físico fuera de línea?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART--> Advertencia: El poner un disco físico en línea no verifica la paridad o los datos del disco virtual. Si se escribieron datos en el disco virtual mientras el disco físico había fallado, al poner el disco físico fallido en línea se puede producir una pérdida de datos. Se sugiere enfáticamente que permita que se ejecute una recreación automática del disco físico para completar o iniciar una revisión de congruencia del disco virtual una vez que concluya la tarea de poner en línea. ¿Está seguro que desea poner este disco físico en línea?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART--> Advertencia: El borrado de un disco físico borra los datos que residen en el disco físico. ¿Está seguro que desea borrar este disco físico?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->Advertencia: Si realiza una operación de 'Borrado seguro al instante', se perderán permanentemente los datos que se encuentran en el disco. ¿Está seguro de que desea borrar este disco físico seguro?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->  Advertencia: ¿Está seguro que desea cancelar la tarea Borrar en este disco físico?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART--> Advertencia: Todos los datos que residen en el disco físico se perderán después de asignar el disco físico como un repuesto dinámico global. Por favor verifique que el disco físico no contenga datos antes de asignarlo como un repuesto dinámico global. ¿Está seguro de que desea asignar este disco físico como un repuesto dinámico global?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> Advertencia: ¿Está seguro de que desea preparar el disco físico para quitarlo?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> Advertencia: ¿Está seguro de que desea preparar el disco físico para quitarlo?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->Discos físicos<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of device follows subheader; Use this if you have to split strsubheader--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->Disco físico<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->Disco físico<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->Hacer parpadear el disco virtual<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->En línea<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->Fuera de línea<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->Borrar<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->Asignar repuesto dinámico global<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->Cancelar borrar<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->Preparar para quitar disco físico<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->Preparar para quitar disco físico<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->Disco físico<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->Disco físico<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->¿Está seguro que desea preparar este disco físico para quitarlo?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->¿Está seguro que desea preparar este disco físico para quitarlo?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->¿Está seguro que desea poner este disco físico en línea?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->¿Está seguro que desea poner este disco físico fuera de línea?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->¿Está seguro que desea borrar este disco físico?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->¿Está seguro que desea cancelar el borrado en este disco físico?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->¿Está seguro de que desea realizar un 'Borrado seguro al instante' en este disco físico?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->¿Está seguro de que desea asignar este disco físico como un repuesto dinámico global?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->Borrar disco seguro<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
