<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTypeCVDU"><!--XLATESTART-->Nivel RAID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpConcatCVDU"><!--XLATESTART-->Concatenación<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid0CVDU"><!--XLATESTART-->Seccionamiento, sin redundancia<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1CVDU"><!--XLATESTART-->Duplicación<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid5CVDU"><!--XLATESTART-->Seccionamiento con paridad distribuida<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid6CVDU"><!--XLATESTART-->Seccionamiento con paridad distribuida adicional<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid10CVDU"><!--XLATESTART-->Seccionamiento en conjuntos duplicados<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid50CVDU"><!--XLATESTART-->Seccionamiento en conjuntos de RAID 5<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid60CVDU"><!--XLATESTART-->Seccionamiento en uno o más tramos de discos físicos que están configurados como RAID 6<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1ConcatCVDU"><!--XLATESTART-->Concatenación de RAID 1<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpConcatCVDU"><!--XLATESTART-->Los datos se extienden a través de n discos para crear un disco virtual con la capacidad de n discos. No se mantiene redundancia. No hay incremento de rendimiento.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid0CVDU"><!--XLATESTART-->Agrupa n discos en un disco virtual grande con capacidad de n discos. Los datos se guardan en los discos alternadamente. No se mantiene redundancia. Mejor rendimiento de lectura y escritura.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1CVDU"><!--XLATESTART-->Agrupa dos discos en un disco virtual con la capacidad de un solo disco. Los datos están replicados en ambos discos. Cuando falla un disco, el disco virtual aún funciona. Mejor rendimiento de lectura, pero un rendimiento de escritura ligeramente más lento. Mejor redundancia.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid5CVDU"><!--XLATESTART-->Seccionando con paridad distribuida. Agrupa n discos en un disco virtual grande con la capacidad de n-1 discos. La información redundante se guarda en forma alternante en todos los discos. Cuando falla un disco, el disco virtual aún funciona. Mejor rendimiento de lectura, pero un rendimiento de escritura más lento. Mejor redundancia.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid6CVDU"><!--XLATESTART-->Agrupa n discos como un disco virtual grande con una capacidad de (n-2) discos.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid10CVDU"><!--XLATESTART-->Agrupa n discos en un disco virtual grande con capacidad de n/2 discos. Los datos se seccionan entre los discos duplicados replicados. Cuando falla un disco, el disco virtual aún funciona. Los datos se leerán del disco par duplicado que quedó intacto. Mejor rendimiento de lectura y escritura. Mejor redundancia.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid50CVDU"><!--XLATESTART-->RAID 50 se está seccionando en más un tramo de disco, con un mínimo de 3 discos por tramo.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid60CVDU"><!--XLATESTART-->Agrupa n*s discos como un disco virtual grande con una capacidad de s*(n-2) discos, donde s es el número de tramos y n es el número de discos dentro de cada tramo.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1ConcatCVDU"><!--XLATESTART-->Un RAID 1-concatenado es un arreglo RAID 1 con un tramo que se extiende a través de más de un solo par de discos duplicados.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpHeaderCVDU"><!--XLATESTART-->Descripción del nivel RAID:<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpDefaultMsgCVDU"><!--XLATESTART-->Cuando selecciona un nivel RAID, se muestra la descripción aquí.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelRaidLevelCVDU"><!--XLATESTART-->Seleccione un nivel RAID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelVDAttribsCVDU"><!--XLATESTART-->Seleccione los atributos del disco virtual<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNameCVDU"><!--XLATESTART-->Nombre<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSizeCVDU"><!--XLATESTART-->Tamaño<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeZeroCVDU"><!--XLATESTART-->Tamaño mínimo: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeZeroCVDU"><!--XLATESTART-->Tamaño máximo: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStripeSizeCVDU"><!--XLATESTART-->Tamaño del elemento de la sección<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReadPolicyCVDU"><!--XLATESTART-->Política de lectura<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strWritePolicyCVDU"><!--XLATESTART-->Política de escritura<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCachePolicyCVDU"><!--XLATESTART-->Política de caché<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strDiskCachePolicyCVDU"><!--XLATESTART-->Política de caché de disco<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVirtualDiskCVDU"><!--XLATESTART-->Disco virtual<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDeviceCVDU"><!--XLATESTART-->Dispositivo<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strLevelCVDU"><!--XLATESTART-->Nivel<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strChnlTgtCVDU"><!--XLATESTART-->Conector:Identificación de destino<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskCVDU"><!--XLATESTART-->Disco físico<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelectRaidLevelCVDU"><!--XLATESTART-->Seleccione un nivel RAID.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSpecifyVDSizeCVDU"><!--XLATESTART-->Especifique el tamaño del disco virtual.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDSizeNotNumberMsgCVDU"><!--XLATESTART-->Especifique un número para el tamaño del disco virtual. Utilice el rango mínimo y máximo para determinar un tamaño válido.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDNameSizeExceedMsgCVDU"><!--XLATESTART-->El nombre del disco virtual no puede exceder 24 caracteres.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeLabelCVDU"><!--XLATESTART-->Tamaño mínimo: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeLabelCVDU"><!--XLATESTART-->Tamaño máximo: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGBUnitCVDU"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strInvalidSizeMsgCVDU"><!--XLATESTART-->El tamaño especificado no es válido. Utilice el rango mínimo y máximo para determinar un tamaño válido.<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strFreeCVDU"><!--XLATESTART-->Libre<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOsLimitWarn"><!--XLATESTART-->Verifique que el sistema operativo, incluyendo cualquier actualización o modificación, admita un disco virtual de este tamaño. ¿Desea continuar?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskIDCVDU"><!--XLATESTART-->Identificaciones de los discos físicos<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExistingRaidCVDU"><!--XLATESTART-->Configuración existente del RAID<!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strSmallIMDescription"><!--XLATESTART-->Seleccione el reflejado inteligente para crear automáticamente pares reflejados. Los pares reflejados se crean por medio de un algoritmo optimizado. <!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strIntelligentMirroring"><!--XLATESTART-->Reflejado inteligente <!--XLATESTOP--></xsl:variable>  
</xsl:stylesheet>
