<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of controller comes before strtitle; Use this if you have to split strTitle--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART--> Avertissement : La déconnexion d'un disque physique peut entraîner une perte de données. Êtes-vous sûr de vouloir déconnecter ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART--> Avertissement : La connexion d'un disque physique ne permet pas de vérifier la parité ou les données du disque virtuel. Si des données ont été écrites sur le disque virtuel lorsque le disque physique était défaillant, la connexion du disque physique défaillant peut entraîner une perte de données. Il est fortement conseillé de permettre une recréation automatique complète du disque physique ou de lancer une vérification de la cohérence du disque virtuel une fois la tâche de connexion terminée. Êtes-vous sûr de vouloir connecter ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART--> Avertissement : La suppression d'un disque physique efface les données qui se trouvent sur le disque physique. Êtes-vous sûr de vouloir supprimer ce disque physique ?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->Avertissement : Lorsque vous effectuez une opération « Effacement sécurisé instantané », toutes les données présentes sur le disque sont perdues et ne sont plus récupérables. Êtes-vous sûr de vouloir effacer ce disque physique sécurisé ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->  Avertissement : Êtes-vous sûr de vouloir annuler la suppression de ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART--> Avertissement : Toutes les données qui font partie du disque physique seront perdues après son attribution comme disque de secours global. Veuillez vérifier que le disque physique ne contient pas de données avant de l'attribuer comme disque de secours global. Êtes-vous sûr de vouloir attribuer ce disque physique comme disque de secours global ?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> Avertissement : Êtes-vous sûr de vouloir préparer le disque physique à son retrait ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> Avertissement : Êtes-vous sûr de vouloir préparer le disque physique à son retrait ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->Disques physiques<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--Variable name of device follows subheader; Use this if you have to split strsubheader--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->Disque physique<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->Disque physique<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->Faire clignoter la LED du disque virtuel<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->En ligne<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->Hors ligne<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->Supprimer<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->Attribuer un disque de secours global<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->Annuler la suppression<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->Préparer au retrait du disque physique<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->Préparer au retrait du disque physique<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->Disque physique<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->Disque physique<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->Êtes-vous sûr de vouloir préparer ce disque physique pour son retrait ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->Êtes-vous sûr de vouloir préparer ce disque physique pour son retrait ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->Êtes-vous sûr de vouloir connecter ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->Êtes-vous sûr de vouloir déconnecter ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->Êtes-vous sûr de vouloir supprimer ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->Êtes-vous sûr de vouloir annuler la suppression de ce disque physique ?<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->Êtes-vous sûr de vouloir effectuer un « effacement sécurisé instantané » sur ce disque physique ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->Êtes-vous sûr de vouloir attribuer ce disque physique comme disque de secours global ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--><!--DONOTTRANSLATE--><!--use this if you need to split rusure string--><!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->Effacer le disque sécurisé<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
