<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTypeCVDU"><!--XLATESTART-->RAID レベル<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpConcatCVDU"><!--XLATESTART-->連結<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid0CVDU"><!--XLATESTART-->ストライピング、冗長性なし<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1CVDU"><!--XLATESTART-->ミラーリング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid5CVDU"><!--XLATESTART-->分散パリティ付きストライピング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid6CVDU"><!--XLATESTART-->複数の分散パリティ付きストライピング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid10CVDU"><!--XLATESTART-->ミラーセットのストライピング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid50CVDU"><!--XLATESTART-->RAID 5 セットでのストライピング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid60CVDU"><!--XLATESTART-->RAID 6 として設定されている物理ディスクの 2 つ以上のスパンをストライピング<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID の連結 1<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpConcatCVDU"><!--XLATESTART-->データは n ディスクの容量と同じ仮想ディスクを作成するよう n ディスクをスパンします。冗長性は保存されていません。パフォーマンスは向上しません。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid0CVDU"><!--XLATESTART-->n ディスクを n ディスクの容量を持つ 1 つの大きい仮想ディスクにグループ化します。データは交互に各ディスクに保存されます。冗長性は保存されていません。読み込みおよび書き込み性能が向上します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1CVDU"><!--XLATESTART-->2 つディスクを単一ディスクの容量を持つ 1つの仮想ディスクにグループ化します。データは両方のディスク上に複製されます。ディスクが失敗しても、仮想ディスクは作動可能です。読み込み性能は向上しますが、書き込み性能は若干低下します。冗長性は向上します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid5CVDU"><!--XLATESTART-->分散パリティ付きストライピングは、n ディスクを (n-1) ディスクの容量を持つ 1 つの大きい仮想ディスクにグループ化します。冗長性情報はすべてのディスクに交互に保存されます。ディスクが失敗しても、仮想ディスクは作動可能です。読み込み性能は向上しますが、書き込み性能は若干低下します。冗長性は向上します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid6CVDU"><!--XLATESTART-->n のディスクを (n-2) のディスク容量を持った 1 つの大きな仮想ディスクとしてグループ化します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid10CVDU"><!--XLATESTART-->n ディスクを n / 2 ディスクの容量を持つ １ つの大きなディスクにグループ化します。データは複製されたミラーの両ディスクにストライピングされています。ディスクが失敗しても、仮想ディスクは作動可能です。データは残在しているミラーペアディスクから読み込まれます。読み込みおよび書き込み性能が向上します。冗長性は向上します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid50CVDU"><!--XLATESTART-->RAID 50 は、1 スパン当たり最低 3 ディスクを搭載した 1 ディスクスパン以上をストライピングします。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid60CVDU"><!--XLATESTART-->n*s のディスクを s*(n-2) のディスク容量を持った 1 つの大きな仮想ディスクとしてグループ化します。ここで、s はスパンの数で、n は各スパン内のディスク数を示します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1 連結は、二対以上のミラーディスクにわたってスパンする RAID 1 です。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpHeaderCVDU"><!--XLATESTART-->RAID レベルの説明：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpDefaultMsgCVDU"><!--XLATESTART-->RAID レベルを選択すると、説明がここに表示されます。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelRaidLevelCVDU"><!--XLATESTART-->RAID レベルを選択します<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelVDAttribsCVDU"><!--XLATESTART-->仮想ディスクアトリビュートの選択：<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNameCVDU"><!--XLATESTART-->名前<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSizeCVDU"><!--XLATESTART-->サイズ<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeZeroCVDU"><!--XLATESTART-->最小サイズ：0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeZeroCVDU"><!--XLATESTART-->最大サイズ：0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStripeSizeCVDU"><!--XLATESTART-->ストライプエレメントサイズ<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReadPolicyCVDU"><!--XLATESTART-->読み取りポリシー<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strWritePolicyCVDU"><!--XLATESTART-->書き込みポリシー<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCachePolicyCVDU"><!--XLATESTART-->キャッシュ ポリシー<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strDiskCachePolicyCVDU"><!--XLATESTART-->ディスクキャッシュポリシー<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVirtualDiskCVDU"><!--XLATESTART-->仮想ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDeviceCVDU"><!--XLATESTART-->デバイス<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strLevelCVDU"><!--XLATESTART-->レベル<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strChnlTgtCVDU"><!--XLATESTART-->コネクタ：TargetID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskCVDU"><!--XLATESTART-->物理ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelectRaidLevelCVDU"><!--XLATESTART-->RAID レベルを選択します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSpecifyVDSizeCVDU"><!--XLATESTART-->仮想ディスクサイズを指定します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDSizeNotNumberMsgCVDU"><!--XLATESTART-->仮想ディスクサイズの数字を指定します。最小および最大範囲を使って有効値を割り出します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDNameSizeExceedMsgCVDU"><!--XLATESTART-->仮想ディスクは24文字以内である必要があります。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeLabelCVDU"><!--XLATESTART-->最小サイズ： <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeLabelCVDU"><!--XLATESTART-->最大サイズ： <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGBUnitCVDU"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strInvalidSizeMsgCVDU"><!--XLATESTART-->指定されたサイズは無効です。最小および最大範囲を使って有効値を割り出します。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strFreeCVDU"><!--XLATESTART-->空き<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOsLimitWarn"><!--XLATESTART-->アップデートや修正を含め、お使いのオペレーティングシステムがこのサイズの仮想ディスクに対応することを確認してください。続行しますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskIDCVDU"><!--XLATESTART-->物理ディスク ID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExistingRaidCVDU"><!--XLATESTART-->既存の RAID 設定<!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strSmallIMDescription"><!--XLATESTART-->ミラー化ペアを自動的に作成するには、インテリジェントミラーリングを選択します。ミラー化ペアは最適化アルゴリズムを使って作成されます。 <!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strIntelligentMirroring"><!--XLATESTART-->インテリジェントミラーリング <!--XLATESTOP--></xsl:variable>  
</xsl:stylesheet>
