<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTypeCVDU"><!--XLATESTART-->RAID 级别<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpConcatCVDU"><!--XLATESTART-->连锁<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid0CVDU"><!--XLATESTART-->分条, 无冗余<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1CVDU"><!--XLATESTART-->镜像<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid5CVDU"><!--XLATESTART-->带有分布式奇偶校验的分条<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid6CVDU"><!--XLATESTART-->带有额外分布式奇偶校验分条<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid10CVDU"><!--XLATESTART-->在镜像组上分条<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid50CVDU"><!--XLATESTART-->在 RAID 5 设置上分条<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid60CVDU"><!--XLATESTART-->在配置为 RAID 6 的一个以上的简单物理磁盘捆绑上分条<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOneLineHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1 连锁<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpConcatCVDU"><!--XLATESTART-->数据跨越 n 个磁盘创建一个容量为 n 个磁盘的虚拟磁盘。 未保留冗余。 没有性能增益。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid0CVDU"><!--XLATESTART-->将 n 个磁盘组合成一个容量为 n 个磁盘的大虚拟磁盘。 数据交替存储到磁盘上。 未保留冗余。 更好的读写性能。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1CVDU"><!--XLATESTART-->将两个磁盘组合成一个容量为单个磁盘的虚拟磁盘。 数据同时复制到两个磁盘。 磁盘失败时，虚拟磁盘仍将工作。 更好的读性能，但是写性能略慢。 更好的冗余。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid5CVDU"><!--XLATESTART-->带有分布式奇偶校验的分条。 将 n 个磁盘组合成一个容量为 (n-1) 个磁盘的大虚拟磁盘。 冗余信息交替存储在所有磁盘上。 磁盘失败时，虚拟磁盘仍将工作。 更好的读性能，但是写性能较慢。 更好的冗余。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid6CVDU"><!--XLATESTART-->将 n 个磁盘组合为一个大虚拟磁盘，容量为 (n-2) 个磁盘。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid10CVDU"><!--XLATESTART-->将 n 个磁盘组合成一个容量为 n/2 个磁盘的大磁盘。数据分条存储在复制的镜像对磁盘上。磁盘失败时，虚拟磁盘仍将工作。将从剩余的镜像对磁盘读取数据。更好的读写性能。更好的冗余。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid50CVDU"><!--XLATESTART-->RAID 50 在一个以上的简单磁盘捆绑上分条，每个简单磁盘捆绑至少 3 个磁盘。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid60CVDU"><!--XLATESTART-->将 n*s 个磁盘组合为一个大虚拟磁盘，容量为 s*(n-2) 个磁盘，其中 s 是简单磁盘捆绑的数目，而 n 是每个简单磁盘捆绑内的磁盘数。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpRaid1ConcatCVDU"><!--XLATESTART-->RAID 1 连锁是一种 RAID 1，跨越一对以上的镜像磁盘。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpHeaderCVDU"><!--XLATESTART-->RAID 级别说明:<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTextBoxHelpDefaultMsgCVDU"><!--XLATESTART-->选择 RAID 级别时，相应的说明将显示在此处。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelRaidLevelCVDU"><!--XLATESTART-->选择 RAID 级别<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strTblHdrSelVDAttribsCVDU"><!--XLATESTART-->选择虚拟磁盘属性<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strNameCVDU"><!--XLATESTART-->名称<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSizeCVDU"><!--XLATESTART-->大小<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeZeroCVDU"><!--XLATESTART-->最小容量: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeZeroCVDU"><!--XLATESTART-->最大容量: 0000.00 GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strStripeSizeCVDU"><!--XLATESTART-->条带要素大小<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strReadPolicyCVDU"><!--XLATESTART-->读取策略<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strWritePolicyCVDU"><!--XLATESTART-->写策略<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCachePolicyCVDU"><!--XLATESTART-->高速缓存策略<!--XLATESTOP--></xsl:variable>
        <xsl:variable name="strDiskCachePolicyCVDU"><!--XLATESTART-->磁盘高速缓存策略<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVirtualDiskCVDU"><!--XLATESTART-->虚拟磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strDeviceCVDU"><!--XLATESTART-->设备<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strLevelCVDU"><!--XLATESTART-->级别<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strChnlTgtCVDU"><!--XLATESTART-->连接器：目标ID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskCVDU"><!--XLATESTART-->物理磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSelectRaidLevelCVDU"><!--XLATESTART-->选择 RAID 级别。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSpecifyVDSizeCVDU"><!--XLATESTART-->指定虚拟磁盘大小。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDSizeNotNumberMsgCVDU"><!--XLATESTART-->指定虚拟磁盘大小。 使用最小和最大范围来确定有效大小。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strVDNameSizeExceedMsgCVDU"><!--XLATESTART-->虚拟磁盘名不能超过 24 个字符。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMinSizeLabelCVDU"><!--XLATESTART-->最小容量: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strMaxSizeLabelCVDU"><!--XLATESTART-->最大容量: <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGBUnitCVDU"><!--XLATESTART-->GB<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strInvalidSizeMsgCVDU"><!--XLATESTART-->指定的大小无效。 使用最小和最大范围来确定有效大小。<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strFreeCVDU"><!--XLATESTART-->可用<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOsLimitWarn"><!--XLATESTART-->请验证操作系统（包括任何更新或修改）支持这种大小的虚拟磁盘。是否要继续？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strArrayDiskIDCVDU"><!--XLATESTART-->物理磁盘 ID<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strExistingRaidCVDU"><!--XLATESTART-->现有 RAID 配置<!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strSmallIMDescription"><!--XLATESTART-->选择“智能镜像”以自动创建镜像对。镜像对是使用优化的算法创建的。 <!--XLATESTOP--></xsl:variable>
  <xsl:variable name="strIntelligentMirroring"><!--XLATESTART-->智能镜像 <!--XLATESTOP--></xsl:variable>  
</xsl:stylesheet>
